package com.prolog.cs.biz.inbound.dto.failure;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 收货异常查询类
 */
public class RcvErrorQueryVO implements Serializable {

	private static final long serialVersionUID = 8841644377665129443L;

	/**
	 * id集合
	 */
	private List<String> includeIds;

	@ApiModelProperty(value = "异常入库单号")
	private String billno;

	@ApiModelProperty(value = "异常入库单类型")
	private String billtype;

	@ApiModelProperty(value = "仓库ID")
	private String branchid;

	@ApiModelProperty(value = "货主ID")
	private String consignorid;

	@ApiModelProperty(value = "关联业务单编号")
	private String refbillcode;

	@ApiModelProperty(value = "状态（10：刚生成     20：已审核   30：已下发）")
	private String status;

	@ApiModelProperty(value = "审核结果（0：驳回     1：通过）")
	private String auditResult;

	@ApiModelProperty(value = "供应商名称")
	private String vendorname;

	@ApiModelProperty(value = "开始时间")
	private Date startDate;

	@ApiModelProperty(value = "结束时间")
	private Date endDate;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	public List<String> getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(List<String> includeIds) {
		this.includeIds = includeIds;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getRefbillcode() {
		return refbillcode;
	}

	public void setRefbillcode(String refbillcode) {
		this.refbillcode = refbillcode;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAuditResult() {
		return auditResult;
	}

	public void setAuditResult(String auditResult) {
		this.auditResult = auditResult;
	}

	public String getVendorname() {
		return vendorname;
	}

	public void setVendorname(String vendorname) {
		this.vendorname = vendorname;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

}
